<?php
require('includes/application_top.php');
$func = $_GET['func'];
$id = $_GET['id'];
$id2 = $_GET['id2'];
$onchange = '';
if($_GET['onchange']){
	$onchange = ' onchange="'.$_GET['onchange'].'"';
}
if(function_exists($func)){
	$array = call_user_func($func,$id,$id2);
}

// default wird ein dropdown ausgegeben
switch($_GET['action']){
	case 'shipinvoicecompany':
		// wir geben die rechnungsempfaenger companies_id eines schiffs zurueck
		header('Content-Type: text/html; charset=iso-8859-1');
		echo yes_get_ship_companies_id_by_role($id,'invoice');
		break;
	default:
		header('Content-Type: text/html; charset=iso-8859-1');
		echo xtc_draw_pull_down_menu($_GET['target_element_name'],$array,'','class="dbforminput"'.$onchange);
		break;
}
